<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-fafcing aspects of the plugin.
 *
 * @link       http://www.codetides.com/
 * @since      3.3.6
 *
 * @pafckage    Advanced_Floating_Content
 * @subpafckage Advanced_Floating_Content/admin/views
 */
 
?>
<div class="afc-panel">	
	<div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Apply Blacklist Ip(s) Filter','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'Apply Filter',
                    '0'=>'Donot Apply Filter'
                );
                foreach($options as $key => $value) {
                ?>
                <label><input type="radio" name="ct_afc_apply_filter" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_apply_filter','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
	<div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on Logged In Users','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'Restrict to Logged In Users Only',
                    '0'=>'Display Normal to all visitors'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_logged_in" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_logged_in','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
	<div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on HomePage','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'Yes',
                    '0'=>'No'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_homepage" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_homepage','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on Search Page','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'Yes',
                    '0'=>'No'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_search" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_search','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on Archive Pages','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'Yes',
                    '0'=>'No'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_archive" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_archive','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on Posts','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'All Posts',
                    '0'=>'Only Selected Posts',
					'2'=>'Only Selected Posts By IDs'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_posts" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_posts','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>
    </div>
    <div class="afc-panel-div" id="selective_posts" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_posts','1')==0) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
         <?php              
			  echo get_all_posts(get_the_ID(),'ct_afc_selective_posts');
		?>	  
        </div>
    </div>
	<div class="afc-panel-div" id="selective_posts_by_ids" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_posts','1')==2) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <input type="text" name="ct_afc_selective_posts_by_ids" id="ct_afc_selective_posts_by_ids" value="<?php echo get_text_value(get_the_ID(),'ct_afc_selective_posts_by_ids','')?>" class="" style="width:50%;" placeholder="<?php esc_html_e('Add All Post IDs with comma separated','advanced-floating-content')?>">	
    </div>
	
	<div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Hide on Posts','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(                   
                    '0'=>'Hide On Selected Posts',
					'2'=>'Hide On Selected Posts By IDs'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_hide_on_hposts" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_hide_on_hposts','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>
    </div>
	<div class="afc-panel-div" id="selective_hposts" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_hide_on_hposts','0')==0) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
         <?php              
			  echo get_all_posts(get_the_ID(),'ct_afc_selective_hide_posts');
		?>	  
        </div>
    </div>
	<div class="afc-panel-div" id="selective_hposts_by_ids" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_hide_on_hposts','0')==2) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <input type="text" name="ct_afc_selective_hposts_by_ids" id="ct_afc_selective_hposts_by_ids" value="<?php echo get_text_value(get_the_ID(),'ct_afc_selective_hposts_by_ids','')?>" class="" style="width:50%;" placeholder="<?php esc_html_e('Add All Post IDs with comma separated','advanced-floating-content')?>">	
    </div>
	
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on Pages','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'All Pages',
                    '0'=>'Only Selected Pages',
					'2'=>'Only Selected Pages By IDs'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_pages" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_pages','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div" id="selective_pages" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_pages','1')==0) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
         <?php              
			  echo get_all_pages(get_the_ID(),'ct_afc_selective_pages');
		?>	  
        </div>
    </div>
	<div class="afc-panel-div" id="selective_pages_by_ids" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_pages','1')==2) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <input type="text" name="ct_afc_selective_pages_by_ids" id="ct_afc_selective_pages_by_ids" value="<?php echo get_text_value(get_the_ID(),'ct_afc_selective_pages_by_ids','')?>" class="" style="width:50%;" placeholder="<?php esc_html_e('Add All Page IDs with comma separated','advanced-floating-content')?>">	
    </div>
	
	<div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Hide on Pages','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(                   
                    '0'=>'Hide On Selected Pages',
					'2'=>'Hide On Selected Pages By IDs'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_hide_on_hpages" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_hide_on_hpages','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>
    </div>
	<div class="afc-panel-div" id="selective_hpages" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_hide_on_hpages','0')==0) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
         <?php              
			  echo get_all_pages(get_the_ID(),'ct_afc_selective_hide_pages');
		?>	  
        </div>
    </div>
	<div class="afc-panel-div" id="selective_hpages_by_ids" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_hide_on_hpages','0')==2) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <input type="text" name="ct_afc_selective_hpages_by_ids" id="ct_afc_selective_hpages_by_ids" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_selective_hpages_by_ids',''));?>" class="" style="width:50%;" placeholder="<?php esc_html_e('Add All Page IDs with comma separated','advanced-floating-content')?>">	
    </div>
	
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on Categories','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'All Categories',
                    '0'=>'Only Selected Categories',
					'2'=>'Only Selected Categories By IDs'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_categories" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_categories','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div" id="selective_categories" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_categories','1')==0) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
         <?php              
			  echo get_all_categories(get_the_ID(),'ct_afc_selective_categories');
		?>	  
        </div>
    </div>
    <div class="afc-panel-div" id="selective_categories_by_ids" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_categories','1')==2) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <input type="text" name="ct_afc_selective_categories_by_ids" id="ct_afc_selective_categories_by_ids" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_selective_categories_by_ids',''));?>" class="" style="width:50%;" placeholder="<?php esc_html_e('Add All Categories IDs with comma separated','advanced-floating-content')?>">	
    </div>
	
	<div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Hide on Categories','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(                   
                    '0'=>'Hide On Selected Categories',
					'2'=>'Hide On Selected Categories By IDs'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_hide_on_hcategories" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_hide_on_hcategories','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>
    </div>
	<div class="afc-panel-div" id="selective_hcategories" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_hide_on_hcategories','0')==0) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
         <?php              
			  echo get_all_categories(get_the_ID(),'ct_afc_selective_hide_categories');
		?>	  
        </div>
    </div>
	<div class="afc-panel-div" id="selective_hcategories_by_ids" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_hide_on_hcategories','0')==2) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <input type="text" name="ct_afc_selective_hcategories_by_ids" id="ct_afc_selective_hcategories_by_ids" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_selective_hcategories_by_ids',''));?>" class="" style="width:50%;" placeholder="<?php esc_html_e('Add All Categories IDs with comma separated','advanced-floating-content')?>">	
    </div>
	
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on Custom Post Types','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'All Custom Post Types',
                    '0'=>'Only Selected Custom Post Types'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_cpts" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_cpts','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div" id="selective_cpts" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_cpts','1')==0) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
         <?php
			  echo get_all_cpts(get_the_ID(),'ct_afc_selective_cpts');
		 ?>
        </div>
    </div>
	<div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on Posts Inside Custom Post Types','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'All Posts Inside Custom Post Types',
                    '0'=>'Only Selected Posts Inside Custom Post Types'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_postscpts" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_postscpts','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
	<div class="afc-panel-div" id="selective_postscpts" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_postscpts','1')==0) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
         <?php
			  echo get_all_postscpts(get_the_ID(),'ct_afc_selective_postscpts');
		 ?>
        </div>
    </div>
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on WooCommerce Shop Page','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'Yes',
                    '0'=>'No'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_wooCommerce_shop" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_wooCommerce_shop','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
	<div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on WooCommerce Pages','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'All WooCommerce Products Pages',
                    '0'=>'Only Selected WooCommerce Products'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_wooCommerce" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_wooCommerce','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div" id="selective_wooCommerce" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_wooCommerce','1')==0) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
         <?php              
			  echo get_all_woocommerce(get_the_ID(),'ct_afc_selective_woocommerce');
		?>	  
        </div>
    </div>
    
	<div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on WooCommerce Categories','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'All WooCommerce Categories',
                    '0'=>'Only Selected WooCommerce Categories'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_wooCategories" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_wooCategories','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div" id="selective_wooCategories" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_wooCategories','1')==0) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
         <?php              
			  echo get_all_woocommerce_categories(get_the_ID(),'ct_afc_selective_wooCategories');
		?>	  
        </div>
    </div>
	
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on bbPress','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'All bbPress Pages',
                    '0'=>'Only Selected bbPress Pages'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_bbPress" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_bbPress','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>            
        </div>        
    </div>
    <div class="afc-panel-div" id="selective_bbPress" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_bbPress','1')==0) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
         <?php              
			  echo get_all_bbpress(get_the_ID(),'ct_afc_selective_bbpress');
		?>	  
        </div>
    </div>
    
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on Countries','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '1'=>'All Countries',
                    '0'=>'Only Selected Countries',
					'2'=>'Only Selected IP(s)'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_countries" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_countries','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>            
        </div>        
    </div>
    <div class="afc-panel-div" id="selective_countries" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_countries','1')==0) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
         <?php              
			  echo get_all_countries(get_the_ID(),'ct_afc_selective_countries');
		?>	  
        </div>
    </div>
	<div class="afc-panel-div" id="selective_countries_by_ids" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_countries','1')==2) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
			<textarea name="ct_afc_selective_countries_by_ips" id="ct_afc_selective_countries_by_ips" style="width:75%; height:150px;"><?php echo esc_textarea(get_text_value(get_the_ID(),'ct_afc_selective_countries_by_ips',""));?></textarea>
        </div>
    </div>
	
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on Certain Height','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '0'=>'No Display Normally',
                    '1'=>'Yes Display on Certain Height'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_certain_height" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_certain_height','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div" id="certain_height_area" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_certain_height','0')==1) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <input type="number" name="ct_afc_certain_height" id="ct_afc_certain_height" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_certain_height',0));?>" class="" style="width:34%;"> <?php esc_html_e('px','advanced-floating-content')?>
    </div>
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Hide on Certain Height','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '0'=>'No Display Normally',
                    '1'=>'Yes Hide on Certain Height'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_hide_on_certain_height" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_hide_on_certain_height','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div" id="certain_hide_height_area" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_hide_on_certain_height','0')==1) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <input type="number" name="ct_afc_hide_certain_height" id="ct_afc_hide_certain_height" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_hide_certain_height',0));?>" class="" style="width:34%;"> <?php esc_html_e('px','advanced-floating-content')?>
    </div>
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Show on Certain Width','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '0'=>'No Display Normally',
                    '1'=>'Yes Show on Certain Width'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_show_on_certain_width" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_show_on_certain_width','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div" id="certain_width_area" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_show_on_certain_width','0')==1) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <input type="number" name="ct_afc_certain_width" id="ct_afc_certain_width" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_certain_width',0));?>" class="" style="width:34%;"> <?php esc_html_e('px','advanced-floating-content')?>
    </div>
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Hide on Certain Width','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '0'=>'No Display Normally',
                    '1'=>'Yes Hide on Certain Width'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_hide_on_certain_width" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_hide_on_certain_width','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div" id="certain_hide_width_area" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_hide_on_certain_width','0')==1) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <input type="number" name="ct_afc_hide_certain_width" id="ct_afc_hide_certain_width" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_hide_certain_width',0));?>" class="" style="width:34%;"> <?php esc_html_e('px','advanced-floating-content')?>
    </div>
	
	<div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Control Impressions','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '0'=>'No Control Impressions',
                    '1'=>'Yes Control Impressions'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_control_impressions" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_control_impressions','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div" id="control_impressions_limit" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_control_impressions','0')==1) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <input type="number" name="ct_afc_impressions_limit" id="ct_afc_impressions_limit" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_impressions_limit',0));?>" class="" style="width:34%;"> <?php esc_html_e('No of Impressions to Limit','advanced-floating-content')?>
    </div>
	
	<div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Control Impressions per user','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '0'=>'No Control Impressions',
                    '1'=>'Yes Control Impressions'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_control_impressions_user" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_control_impressions_user','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    <div class="afc-panel-div" id="control_impressions_limit_user" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_control_impressions_user','0')==1) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <input type="number" name="ct_afc_impressions_limit_user" id="ct_afc_impressions_limit_user" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_impressions_limit_user',0));?>" class="" style="width:34%;"> <?php esc_html_e('No of Impressions to Limit','advanced-floating-content')?>
    </div>
	
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Do Not Display Again','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '0'=>'Yes',
                    '1'=>'No'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_control_impression" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_control_impression','1')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
	<div class="afc-panel-div" id="control_impression_display_again" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_control_impression','1')==0) {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('Display Again After XXX Time','advanced-floating-content')?></label>
        <div class="control-radio">
            <input type="number" name="ct_afc_control_impression_display_again" id="ct_afc_control_impression_display_again" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_control_impression_display_again',0));?>" class="" style="width:50%;"> <?php esc_html_e('Days','advanced-floating-content')?>
        </div>        
    </div>
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Make it Responsive','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '0'=>'Yes',
                    '1'=>'No'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_responsive" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_responsive','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div>
    
	
	<div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Control Devices Medium','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
                    '0'=>'Dont Hide on Any Device',
                    '1'=>'Hide On Web/Desktop/laptop',
					'2'=>'Hide On All Mobile Devices'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_control_devices_medium" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_control_devices_medium','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div> 
	
	<div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Control Other Devices','advanced-floating-content')?></label>
        <div class="control-radio">
         <?php
                $options = array(
					'0'=>'Display On All Other Devices',
                    '1'=>'Hide On Windows OS',
                    '2'=>'Hide On Mac OS'
                );
                foreach($options as $key => $value) { 
                ?>
                <label><input type="radio" name="ct_afc_control_other_devices" value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_control_other_devices','0')) {?> checked="checked" <?php } ?> /><?php echo esc_attr($value);?></label>
                <?php } ?>
        </div>        
    </div> 	
    
</div>