<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-fafcing aspects of the plugin.
 *
 * @link       http://www.codetides.com/
 * @since      3.0
 *
 * @pafckage    Advanced_Floating_Content
 * @subpafckage Advanced_Floating_Content/admin/views
 */
?>
<div class="afc-panel"> 
    <div class="afc-panel-div">
        <label for="button"><?php esc_html_e('Show Close Button','advanced-floating-content')?></label>
        <select style="width:71.1%;" name="ct_afc_close_button" id="ct_afc_close_button">
                <?php
                $options = array(
                    'yes'=>'Button',
					'anchor'=>'Anchor Text',
                    'no'=>'None'
                );
                foreach($options as $key => $value) { 
                ?>
                <option value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_close_button','yes')) {?> selected="selected" <?php } ?>><?php echo esc_attr($value);?></option>
                <?php } ?>
            </select>
    </div>
	<div class="afc-panel-div" id="ct_afc_close_button_string" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_close_button','yes')=="anchor") {echo "display:block;";} ?>">
        <label for="width"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-select">
				<textarea disabled style="width:71%; height:100px;color: black;"><?php esc_html_e('Copy and Paste below line into your content, make sure there is class added "afc_std_close"','advanced-floating-content');?><a href="javascript:void(0);" class="afc_std_close"><?php esc_html_e('Close','advanced-floating-content');?></a></textarea>
		 
        </div>
    </div>
		<div class="afc-panel-div">
        <label for="button"><?php esc_html_e('Close Button Position','advanced-floating-content')?></label>
        <select style="width:71.1%;" name="ct_afc_close_button_position" id="ct_afc_close_button_position">
                <?php
                $options = array(
                    'top-left'=>'Top Left',
                    'top-right'=>'Top Right',
					'bottom-left'=>'Bottom Left',
                    'bottom-right'=>'Bottom Right'					
                );
                foreach($options as $key => $value) { 
                ?>
                <option value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_close_button_position','top-right')) {?> selected="selected" <?php } ?>><?php echo esc_attr($value);?></option>
                <?php } ?>
            </select>
    </div>
    <div class="afc-panel-div">
        <label for="width"><?php esc_html_e('Width','advanced-floating-content')?></label>
        <div class="control-input">
            <input type="number" name="ct_afc_width" id="ct_afc_width" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_width',260));?>" class="" style="width:61.4%;">
            <select style="width:30%;" name="ct_afc_width_unit" id="ct_afc_width_unit">
                <?php
                $options = array(
                    'px'=>'Pixels',
                    '%'=>'Percentage'
                );
                foreach($options as $key => $value) { 
                ?>
                <option value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_width_unit','px')) {?> selected="selected" <?php } ?>><?php echo esc_attr($value);?></option>
                <?php } ?>
            </select>
        </div>        
    </div> 
    <div class="afc-panel-div">
        <label for="border"><?php esc_html_e('Padding','advanced-floating-content')?></label>
        <div class="control-input">
            <input type="number" name="ct_afc_padding_top" id="ct_afc_padding_top" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_padding_top',20));?>" placeholder="<?php esc_html_e('Top Padding','advanced-floating-content')?>" style="width:21%;">
            <input type="number" name="ct_afc_padding_right" placeholder="<?php esc_html_e('Right Padding','advanced-floating-content')?>" id="ct_afc_padding_right" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_padding_right',15));?>" style="width:21%;">
            <input type="number" name="ct_afc_padding_bottom" placeholder="<?php esc_html_e('Bottom Padding','advanced-floating-content')?>" id="ct_afc_padding_bottom" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_padding_bottom',20));?>" style="width:21%;">
            <input type="number" name="ct_afc_padding_left" placeholder="<?php esc_html_e('Left Padding','advanced-floating-content')?>" id="ct_afc_padding_left" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_padding_left',15));?>" style="width:21.3%;">
        </div>            
    </div>        
    <div class="afc-panel-div">
        <label for="border"><?php esc_html_e('Border','advanced-floating-content')?></label>
        <div class="control-input">
            <input type="number" name="ct_afc_border_top" placeholder="<?php esc_html_e('Top Border','advanced-floating-content')?>" id="ct_afc_border_top" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_border_top',0));?>" style="width:21%;">
            <input type="number" name="ct_afc_border_right" placeholder="<?php esc_html_e('Right Border','advanced-floating-content')?>" id="ct_afc_border_right" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_border_right',0));?>" style="width:21%;">
            <input type="number" name="ct_afc_border_bottom" placeholder="<?php esc_html_e('Bottom Border','advanced-floating-content')?>" id="ct_afc_border_bottom" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_border_bottom',0));?>" style="width:21%;">
            <input type="number" name="ct_afc_border_left" placeholder="<?php esc_html_e('Left Border','advanced-floating-content')?>" id="ct_afc_border_left" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_border_left',0));?>" style="width:21.3%;">
        </div>            
    </div>
    <div class="afc-panel-div">
        <label for="border_properties"><?php esc_html_e('Border Properties','advanced-floating-content')?></label>
        <div class="control-input">
            <select style="width:34%;" name="ct_afc_border_type" id="ct_afc_border_type">
                <?php
                $options = array(
                    'dotted'=>'dotted',
                    'solid'=>'solid',
					'double'=>'double',
					'dashed'=>'dashed',
					'groove'=>'groove',
					'ridge'=>'ridge',
					'inset'=>'inset',
					'outset'=>'outset'
					
                );
                foreach($options as $key => $value) { 
                ?>
                <option value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_border_type','solid')) {?> selected="selected" <?php } ?>><?php echo esc_attr($value);?></option>
                <?php } ?>
            </select>
            
            <input type="text" name="ct_afc_border_color" id="ct_afc_border_color" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_border_color','#c1392b'));?>" class="color-picker-afc">
            
            <select style="width:34%;" name="ct_afc_border_radius" id="ct_afc_border_radius">
                <?php
                $options = array(
                    '0'=>'Straight Cornor',
                    '1'=>'Round Cornor'
                );
                foreach($options as $key => $value) { 
                ?>
                <option value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_border_radius','0')) {?> selected="selected" <?php } ?>><?php echo esc_attr($value);?></option>
                <?php } ?>
            </select>
            
        </div>            
    </div>  
    <div class="afc-panel-div" id="border_radious_area" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_border_radius','0')==1) {echo "display:block;";} ?>">
        <label for="border_properties"><?php esc_html_e('&nbsp;','advanced-floating-content')?></label>
        <div class="control-input">
            <input type="number" name="ct_afc_border_radius_size" id="ct_afc_border_radius_size" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_border_radius_size','0'));?>" /> <?php esc_html_e('px','advanced-floating-content')?>
        </div>            
    </div> 
    <div class="afc-panel-div">
        <label for="bafckground_color"><?php esc_html_e('Background','advanced-floating-content')?></label>
        <div class="control-input">
			<select style="width:71.1%;" name="ct_afc_background" id="ct_afc_background">
                <?php
                $options = array(
                    'image'=>'Image',
                    'color'=>'Color',
					'none'=>'None'				
                );
                foreach($options as $key => $value) { 
                ?>
                <option value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_background','none')) {?> selected="selected" <?php } ?>><?php echo esc_attr($value);?></option>
                <?php } ?>
            </select>
           
        </div>
    </div>
	<div class="afc-panel-div" id="background_image" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_background','none')=="image") {echo "display:block;";} ?>">
        <label for="background_image"><?php esc_html_e('Background Image','advanced-floating-content')?></label>
        <div class="control-input">
            <input type="text" name="ct_afc_background_image" id="ct_afc_background_image" value="<?php echo esc_url(get_text_value(get_the_ID(),'ct_afc_background_image',''));?>" class="">
			<input type="button" name="ct_afc_upload_background_image" id="ct_afc_upload_background_image" value="Upload Image" style="border: 1px solid #ddd;width: 120px;margin-left: 5px;text-align: center;" >
		</div>
    </div>
	<div class="afc-panel-div" id="background_position" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_background','none')=="image") {echo "display:block;";} ?>">
        <label for="background_position"><?php esc_html_e('Background Position','advanced-floating-content')?></label>
        <div class="control-input">
			<select style="width:71.1%;" name="ct_afc_background_position" id="ct_afc_background_position">
                <?php
                $options = array(
                    'left top'=>'Left Top',
                    'left center'=>'Left Center',
					'left bottom'=>'Left Bottom',
					'right top'=>'Right Top',
					'right center'=>'Right Center',
					'right bottom'=>'Right Bottom',
					'center top'=>'Center Top',
					'center center'=>'Center Center',
					'center bottom'=>'Center Bottom'
                );
                foreach($options as $key => $value) { 
                ?>
                <option value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_background_position','center center')) {?> selected="selected" <?php } ?>><?php echo esc_attr($value);?></option>
                <?php } ?>
            </select>
		</div>
    </div>
	<div class="afc-panel-div" id="background_repeat" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_background','none')=="image") {echo "display:block;";} ?>">
        <label for="background_repeat"><?php esc_html_e('Background Repeat','advanced-floating-content')?></label>
        <div class="control-input">
			<select style="width:71.1%;" name="ct_afc_background_repeat" id="ct_afc_background_repeat">
                <?php
                $options = array(
                    'repeat'=>'repeat',
                    'repeat-x'=>'repeat-x',
					'repeat-y'=>'repeat-y',
					'no-repeat'=>'no-repeat'
                );
                foreach($options as $key => $value) { 
                ?>
                <option value="<?php echo esc_attr($key);?>" <?php if ($key==get_text_value(get_the_ID(),'ct_afc_background_repeat','no-repeat')) {?> selected="selected" <?php } ?>><?php echo esc_attr($value);?></option>
                <?php } ?>
            </select>
		</div>
    </div>
    <div class="afc-panel-div" id="background_color" style=" <?php if(get_text_value(get_the_ID(),'ct_afc_background','none')=="color") {echo "display:block;";} ?>">
        <label for="bafckground_color"><?php esc_html_e('Background Color','advanced-floating-content')?></label>
        <div class="control-input">
            <input type="text" name="ct_afc_background_color" id="ct_afc_background_color" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_background_color','#c1392b'));?>" class="color-picker-afc">
        </div>
    </div>
    <div class="afc-panel-div">
        <label for="bafckground_color"><?php esc_html_e('Font Color','advanced-floating-content')?></label>
        <div class="control-input">
            <input type="text" name="ct_afc_font_color" id="ct_afc_font_color" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_font_color','#FFFFFF'));?>" class="color-picker-afc">
        </div>
    </div>
	<div class="afc-panel-div">
        <label for="bafckground_color"><?php esc_html_e('Close Button Background Color','advanced-floating-content')?></label>
        <div class="control-input">
            <input type="text" name="ct_afc_close_bg_color" id="ct_afc_close_bg_color" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_close_bg_color','#951305'));?>" class="color-picker-afc">
        </div>
    </div>
    <div class="afc-panel-div">
        <label for="bafckground_color"><?php esc_html_e('Font Size','advanced-floating-content')?></label>
        <div class="control-input">
            <input type="number" name="ct_afc_font_size" id="ct_afc_font_size" value="<?php echo esc_attr(get_text_value(get_the_ID(),'ct_afc_font_size','12'));?>" placeholder="<?php esc_html_e('Font Size','advanced-floating-content')?>" /> <?php esc_html_e('px','advanced-floating-content')?>
        </div>
    </div>
    
</div>
